Friday Highlights for June 15th are here! Head over here to check them out!
MAY 24 - It's Patch Day for The Sims 4 on PC/MAC Patch notes here.

Bananas_45 Member

Hello! You could browse through the roof section at Lana's CC finds. They have the most detailed list, I didn't turn up anything that they don't already list. http://sssvitlans.tumblr.com/tagged/s4roofs

About

Username
Bananas_45
Joined
Visits
1,414
Last Active
Roles
General
Points
2,552
Badges
26
Posts
3,461

Activity

  • Alexis321
    Can you help me understand this last exception file, please?

    <?xml version="1.0" ?>
    2fe9e617ff47db5ec5b2328eedesyncea.maxis.sims4_64.15.pc2018-06-15 00:08:41Local.Unknown.Unknown.1.43.14.1020-1.200.000.339.Releaseconstraints.py:2187fe9e617ff47db5ec5b2328ee[rez] Posture graph threw an exception while being queried by autonomy: (AttributeError: 'UnsetType' object has no attribute 'surface_types')
    Traceback (most recent call last):
    Caught and logged:
    File "T:\InGame\Gameplay\Scripts\Core\sims4\utils.py", line 196, in wrapper
    File "T:\InGame\Gameplay\Scripts\Server\areaserver.py", line 203, in c_api_server_tick
    File "T:\InGame\Gameplay\Scripts\Server\zone.py", line 456, in update
    File "T:\InGame\Gameplay\Scripts\Server\time_service.py", line 112, in update
    File "T:\InGame\Gameplay\Scripts\Server\scheduling.py", line 217, in simulate
    File "T:\InGame\Gameplay\Scripts\Server\elements.py", line 385, in _resume
    File "T:\InGame\Gameplay\Scripts\Server\crafting\crafting_interactions.py", line 1603, in _do_perform_gen
    File "T:\InGame\Gameplay\Scripts\Server\crafting\crafting_interactions.py", line 1485, in _go_to_next_phase
    File "T:\InGame\Gameplay\Scripts\Server\crafting\crafting_process.py", line 1415, in push_si_for_current_phase
    File "T:\InGame\Gameplay\Scripts\Server\crafting\crafting_process.py", line 1372, in _push_si_for_phases
    File "T:\InGame\Gameplay\Scripts\Server\crafting\crafting_process.py", line 1187, in _create_aop_and_context_for_phases
    File "T:\InGame\Gameplay\Scripts\Server\crafting\crafting_process.py", line 1311, in _choose_phase_and_create_aop_and_context
    File "T:\InGame\Gameplay\Scripts\Server\crafting\crafting_process.py", line 1290, in _find_phase_affordances
    File "T:\InGame\Gameplay\Scripts\Server\crafting\crafting_process.py", line 1249, in run_request
    File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_service.py", line 172, in score_all_interactions
    File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_service.py", line 188, in score_all_interactions_gen
    File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 249, in run_gen
    File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1360, in _run_gen
    File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1746, in _score_object_interactions_gen
    File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1837, in _create_and_score_interaction
    File ".\mc_utils.py", line 114, in _wrapper_function
    File ".\mc_injections.py", line 773, in inject_last_exception_log
    File "T:\InGame\Gameplay\Scripts\Core\caches.py", line 144, in wrapper
    KeyError: (ConstraintSet(...), _TunableAffordanceFilterWrapper._filter, False, , frozenset({}), frozenset({(, ), (, ), (, )}))

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1834, in _create_and_score_interaction
    File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1014, in _calculate_route_time_and_opportunity
    File "T:\InGame\Gameplay\Scripts\Core\caches.py", line 156, in wrapper
    File "T:\InGame\Gameplay\Scripts\Server\interactions\base\super_interaction.py", line 2371, in estimate_distance
    File "T:\InGame\Gameplay\Scripts\Server\interactions\base\super_interaction.py", line 2411, in _estimate_distance
    File "T:\InGame\Gameplay\Scripts\Server\interactions\base\super_interaction.py", line 2290, in _generate_connectivity
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 1438, in compute_transition_connectivity
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 1485, in run_transitions
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 3333, in _build_transitions
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 3124, in _build_and_log_transitions_for_sim
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 3186, in _build_transitions_for_sim
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 2675, in get_transitions_for_sim
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 2806, in _get_transitions_for_sim
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 2079, in get_templates_including_carry_transference
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 1910, in _get_specs_for_constraints
    File "T:\InGame\Gameplay\Scripts\Server\interactions\constraints.py", line 2187, in get_posture_specs
    AttributeError: 'UnsetType' object has no attribute 'surface_types'

    2fe9e617ff47db5ec5b2328eedesyncea.maxis.sims4_64.15.pc2018-06-15 00:21:12Local.Unknown.Unknown.1.43.14.1020-1.200.000.339.Releaseconstraints.py:2187fe9e617ff47db5ec5b2328ee[rez] Posture graph threw an exception while being queried by autonomy: (AttributeError: 'UnsetType' object has no attribute 'surface_types')
    Traceback (most recent call last):
    Caught and logged:
    File "T:\InGame\Gameplay\Scripts\Core\sims4\utils.py", line 196, in wrapper
    File "T:\InGame\Gameplay\Scripts\Server\areaserver.py", line 203, in c_api_server_tick
    File "T:\InGame\Gameplay\Scripts\Server\zone.py", line 456, in update
    File "T:\InGame\Gameplay\Scripts\Server\time_service.py", line 112, in update
    File "T:\InGame\Gameplay\Scripts\Server\scheduling.py", line 217, in simulate
    File "T:\InGame\Gameplay\Scripts\Server\elements.py", line 385, in _resume
    File "T:\InGame\Gameplay\Scripts\Server\crafting\crafting_interactions.py", line 1603, in _do_perform_gen
    File "T:\InGame\Gameplay\Scripts\Server\crafting\crafting_interactions.py", line 1485, in _go_to_next_phase
    File "T:\InGame\Gameplay\Scripts\Server\crafting\crafting_process.py", line 1415, in push_si_for_current_phase
    File "T:\InGame\Gameplay\Scripts\Server\crafting\crafting_process.py", line 1372, in _push_si_for_phases
    File "T:\InGame\Gameplay\Scripts\Server\crafting\crafting_process.py", line 1187, in _create_aop_and_context_for_phases
    File "T:\InGame\Gameplay\Scripts\Server\crafting\crafting_process.py", line 1311, in _choose_phase_and_create_aop_and_context
    File "T:\InGame\Gameplay\Scripts\Server\crafting\crafting_process.py", line 1290, in _find_phase_affordances
    File "T:\InGame\Gameplay\Scripts\Server\crafting\crafting_process.py", line 1249, in run_request
    File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_service.py", line 172, in score_all_interactions
    File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_service.py", line 188, in score_all_interactions_gen
    File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 249, in run_gen
    File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1360, in _run_gen
    File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1746, in _score_object_interactions_gen
    File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1837, in _create_and_score_interaction
    File ".\mc_utils.py", line 114, in _wrapper_function
    File ".\mc_injections.py", line 773, in inject_last_exception_log
    File "T:\InGame\Gameplay\Scripts\Core\caches.py", line 144, in wrapper
    KeyError: (ConstraintSet(...), _TunableAffordanceFilterWrapper._filter, False, , frozenset({}), frozenset({(, ), (, ), (, )}))

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1834, in _create_and_score_interaction
    File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1014, in _calculate_route_time_and_opportunity
    File "T:\InGame\Gameplay\Scripts\Core\caches.py", line 156, in wrapper
    File "T:\InGame\Gameplay\Scripts\Server\interactions\base\super_interaction.py", line 2371, in estimate_distance
    File "T:\InGame\Gameplay\Scripts\Server\interactions\base\super_interaction.py", line 2411, in _estimate_distance
    File "T:\InGame\Gameplay\Scripts\Server\interactions\base\super_interaction.py", line 2290, in _generate_connectivity
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 1438, in compute_transition_connectivity
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 1485, in run_transitions
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 3333, in _build_transitions
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 3124, in _build_and_log_transitions_for_sim
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 3186, in _build_transitions_for_sim
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 2675, in get_transitions_for_sim
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 2806, in _get_transitions_for_sim
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 2079, in get_templates_including_carry_transference
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 1910, in _get_specs_for_constraints
    File "T:\InGame\Gameplay\Scripts\Server\interactions\constraints.py", line 2187, in get_posture_specs
    AttributeError: 'UnsetType' object has no attribute 'surface_types'

    2fe9e617ff47db5ec5b2328eedesyncea.maxis.sims4_64.15.pc2018-06-15 00:22:30Local.Unknown.Unknown.1.43.14.1020-1.200.000.339.Releaseconstraints.py:2187fe9e617ff47db5ec5b2328ee[rez] Posture graph threw an exception while being queried by autonomy: (AttributeError: 'UnsetType' object has no attribute 'surface_types')
    Traceback (most recent call last):
    Caught and logged:
    File "T:\InGame\Gameplay\Scripts\Core\sims4\utils.py", line 196, in wrapper
    File "T:\InGame\Gameplay\Scripts\Server\areaserver.py", line 203, in c_api_server_tick
    File "T:\InGame\Gameplay\Scripts\Server\zone.py", line 456, in update
    File "T:\InGame\Gameplay\Scripts\Server\time_service.py", line 112, in update
    File "T:\InGame\Gameplay\Scripts\Server\scheduling.py", line 217, in simulate
    File "T:\InGame\Gameplay\Scripts\Server\elements.py", line 385, in _resume
    File "T:\InGame\Gameplay\Scripts\Server\crafting\crafting_interactions.py", line 1603, in _do_perform_gen
    File "T:\InGame\Gameplay\Scripts\Server\crafting\crafting_interactions.py", line 1485, in _go_to_next_phase
    File "T:\InGame\Gameplay\Scripts\Server\crafting\crafting_process.py", line 1415, in push_si_for_current_phase
    File "T:\InGame\Gameplay\Scripts\Server\crafting\crafting_process.py", line 1372, in _push_si_for_phases
    File "T:\InGame\Gameplay\Scripts\Server\crafting\crafting_process.py", line 1187, in _create_aop_and_context_for_phases
    File "T:\InGame\Gameplay\Scripts\Server\crafting\crafting_process.py", line 1311, in _choose_phase_and_create_aop_and_context
    File "T:\InGame\Gameplay\Scripts\Server\crafting\crafting_process.py", line 1290, in _find_phase_affordances
    File "T:\InGame\Gameplay\Scripts\Server\crafting\crafting_process.py", line 1249, in run_request
    File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_service.py", line 172, in score_all_interactions
    File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_service.py", line 188, in score_all_interactions_gen
    File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 249, in run_gen
    File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1360, in _run_gen
    File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1746, in _score_object_interactions_gen
    File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1837, in _create_and_score_interaction
    File ".\mc_utils.py", line 114, in _wrapper_function
    File ".\mc_injections.py", line 773, in inject_last_exception_log
    File "T:\InGame\Gameplay\Scripts\Core\caches.py", line 144, in wrapper
    KeyError: (ConstraintSet(...), _TunableAffordanceFilterWrapper._filter, False, , frozenset({}), frozenset({(, ), (, ), (, )}))

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1834, in _create_and_score_interaction
    File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1014, in _calculate_route_time_and_opportunity
    File "T:\InGame\Gameplay\Scripts\Core\caches.py", line 156, in wrapper
    File "T:\InGame\Gameplay\Scripts\Server\interactions\base\super_interaction.py", line 2371, in estimate_distance
    File "T:\InGame\Gameplay\Scripts\Server\interactions\base\super_interaction.py", line 2411, in _estimate_distance
    File "T:\InGame\Gameplay\Scripts\Server\interactions\base\super_interaction.py", line 2290, in _generate_connectivity
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 1438, in compute_transition_connectivity
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 1485, in run_transitions
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 3333, in _build_transitions
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 3124, in _build_and_log_transitions_for_sim
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 3186, in _build_transitions_for_sim
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 2675, in get_transitions_for_sim
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 2806, in _get_transitions_for_sim
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 2079, in get_templates_including_carry_transference
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 1910, in _get_specs_for_constraints
    File "T:\InGame\Gameplay\Scripts\Server\interactions\constraints.py", line 2187, in get_posture_specs
    AttributeError: 'UnsetType' object has no attribute 'surface_types'

    2fe9e617ff47db5ec5b2328eedesyncea.maxis.sims4_64.15.pc2018-06-15 00:24:57Local.Unknown.Unknown.1.43.14.1020-1.200.000.339.Releaseconstraints.py:2187fe9e617ff47db5ec5b2328ee[rez] Posture graph threw an exception while being queried by autonomy: (AttributeError: 'UnsetType' object has no attribute 'surface_types')
    Traceback (most recent call last):
    Caught and logged:
    File "T:\InGame\Gameplay\Scripts\Core\sims4\utils.py", line 196, in wrapper
    File "T:\InGame\Gameplay\Scripts\Server\areaserver.py", line 203, in c_api_server_tick
    File "T:\InGame\Gameplay\Scripts\Server\zone.py", line 456, in update
    File "T:\InGame\Gameplay\Scripts\Server\time_service.py", line 112, in update
    File "T:\InGame\Gameplay\Scripts\Server\scheduling.py", line 217, in simulate
    File "T:\InGame\Gameplay\Scripts\Server\elements.py", line 385, in _resume
    File "T:\InGame\Gameplay\Scripts\Server\crafting\crafting_interactions.py", line 1603, in _do_perform_gen
    File "T:\InGame\Gameplay\Scripts\Server\crafting\crafting_interactions.py", line 1485, in _go_to_next_phase
    File "T:\InGame\Gameplay\Scripts\Server\crafting\crafting_process.py", line 1415, in push_si_for_current_phase
    File "T:\InGame\Gameplay\Scripts\Server\crafting\crafting_process.py", line 1372, in _push_si_for_phases
    File "T:\InGame\Gameplay\Scripts\Server\crafting\crafting_process.py", line 1187, in _create_aop_and_context_for_phases
    File "T:\InGame\Gameplay\Scripts\Server\crafting\crafting_process.py", line 1311, in _choose_phase_and_create_aop_and_context
    File "T:\InGame\Gameplay\Scripts\Server\crafting\crafting_process.py", line 1290, in _find_phase_affordances
    File "T:\InGame\Gameplay\Scripts\Server\crafting\crafting_process.py", line 1249, in run_request
    File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_service.py", line 172, in score_all_interactions
    File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_service.py", line 188, in score_all_interactions_gen
    File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 249, in run_gen
    File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1360, in _run_gen
    File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1746, in _score_object_interactions_gen
    File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1837, in _create_and_score_interaction
    File ".\mc_utils.py", line 114, in _wrapper_function
    File ".\mc_injections.py", line 773, in inject_last_exception_log
    File "T:\InGame\Gameplay\Scripts\Core\caches.py", line 144, in wrapper
    KeyError: (ConstraintSet(...), _TunableAffordanceFilterWrapper._filter, False, , frozenset({}), frozenset({(, ), (, ), (, )}))

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1834, in _create_and_score_interaction
    File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1014, in _calculate_route_time_and_opportunity
    File "T:\InGame\Gameplay\Scripts\Core\caches.py", line 156, in wrapper
    File "T:\InGame\Gameplay\Scripts\Server\interactions\base\super_interaction.py", line 2371, in estimate_distance
    File "T:\InGame\Gameplay\Scripts\Server\interactions\base\super_interaction.py", line 2411, in _estimate_distance
    File "T:\InGame\Gameplay\Scripts\Server\interactions\base\super_interaction.py", line 2290, in _generate_connectivity
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 1438, in compute_transition_connectivity
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 1485, in run_transitions
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 3333, in _build_transitions
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 3124, in _build_and_log_transitions_for_sim
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 3186, in _build_transitions_for_sim
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 2675, in get_transitions_for_sim
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 2806, in _get_transitions_for_sim
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 2079, in get_templates_including_carry_transference
    File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 1910, in _get_specs_for_constraints
    File "T:\InGame\Gameplay\Scripts\Server\interactions\constraints.py", line 2187, in get_posture_specs
    AttributeError: 'UnsetType' object has no attribute 'surface_types'
    June 15
    • Bananas_45
      Bananas_45
      It looks like at least part of your problem is broken CC. You probably have a counter/table/bed/bookcase that needs to be updated with Sims 4 Studio.

      Once you have downloaded and installed Sims 4 Studio, choose Content Management from the main page, then Batch Fix, Objects; Fix Objects for Cats & Dog Patch; Run

      You can download Sims 4 Studio here http://sims4studio.com/ You will need to register to download but, membership is free. The program is safe as all CC is made with it.

      If that does not solve your problem I would suggest posting your last exception in the general support area at the MCCC discord: https://discordapp.com/invite/AUJ8RAa
  • Tishboo121
    Add me on your origin to be your friend
    June 13
Avatar

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Badges

500 Awesomes2500 CommentsThird Anniversary100 Insightfuls250 AwesomesSecond Anniversary500 Likes100 Awesomes1000 Comments25 Insightfuls5 Insightfuls25 Awesomes250 Likes5 AwesomesFirst Anniversary500 Comments100 Likes100 Comments25 Likes5 LikesPhotogenic10 Comments25 LOLsFirst CommentName Dropper5 LOLs

About

Username
Bananas_45
Joined
Visits
1,414
Last Active
Roles
General
Points
2,552
Badges
26
Posts
3,461